Subject: Fwd: [AVT] I-D ACTION:draft-ietf-avt-srtp-07.txt

From: Mark Baugher <[email-masked]>
Date: Mon, 02 Jun 2003 14:05:38 -0700

Hello,
   This I-D contains errors that have been fixed in 
http://www.rdrop.com/users/mbaugher/I-D/draft-ietf-avt-srtp-08.txt, which I 
just submitted to internet-drafts.  Please refer to revision 08.

   This revision of the draft was made for IESG consumption though it has 
some clarifications that we should point out to you.

  - We clarified the positioning of SRTP as a profile of RTP which 
incorporates all the features of RTP/AVP except where explicitly noted

  - The 1st paragraph after Figure 1 has been re-written to clarify that 
SRTP does not use RTP padding bytes and that any future block-mode cipher 
needs to freshly describe how it does padding in its RFC

  - Corrected the 4th paragraph of section 3.2.3 to refer to SRTP packets only

  - Section 3.3.1 now completely describes how s_l and ROC are 
conditionally updated (in the two paragraphs that follow "i = 2^16 * v + 
SEQ") and we don't use the word "estimated" to describe packet-index 
determination

  - Caption of Figure 2: "with a Report" --> "with a Sender Report"

  - We made it clear that ROC || SEQ must be distinct in 4.1.1 and not just SEQ

  - We now reference rtp-new rather than RFC 1889

Again, sorry for the confusion and please refer to 
http://www.rdrop.com/users/mbaugher/I-D/draft-ietf-avt-srtp-08.txt until 08 
is properly posted

Mark
>To: IETF-Announce: ;
>Cc: [email-masked]
>From: [email-masked]
>Reply-to: [email-masked]
>Date: Mon, 02 Jun 2003 07:28:34 -0400
>Subject: [AVT] I-D ACTION:draft-ietf-avt-srtp-07.txt
>Sender: [email-masked]
>X-BeenThere: [email-masked]
>X-Mailman-Version: 2.0.12
>List-Unsubscribe: <https://www1.ietf.org/mailman/listinfo/avt>,
>         <mailto:[email-masked]?subject=unsubscribe>
>List-Id: Audio/Video Transport Working Group <avt.ietf.org>
>List-Post: <mailto:[email-masked]>
>List-Help: <mailto:[email-masked]?subject=help>
>List-Subscribe: <https://www1.ietf.org/mailman/listinfo/avt>,
>         <mailto:[email-masked]?subject=subscribe>
>
>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
>This draft is a work item of the Audio/Video Transport Working Group of 
>the IETF.
>
>         Title           : The Secure Real-time Transport Protocol
>         Author(s)       : M. Baugher et al.
>         Filename        : draft-ietf-avt-srtp-07.txt
>         Pages           : 54
>         Date            : 2003-5-30
>
>This document describes the Secure Real-time Transport Protocol
>(SRTP), a profile of the Real-time Transport Protocol (RTP), which
>can provide confidentiality, message authentication, and replay
>protection to the RTP/RTCP traffic.
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-ietf-avt-srtp-07.txt
>
>To remove yourself from the IETF Announcement list, send a message to
>ietf-announce-request with the word unsubscribe in the body of the message.
>
>Internet-Drafts are also available by anonymous FTP. Login with the username
>"anonymous" and a password of your e-mail address. After logging in,
>type "cd internet-drafts" and then
>         "get draft-ietf-avt-srtp-07.txt".
>
>A list of Internet-Drafts directories can be found in
>http://www.ietf.org/shadow.html
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>Internet-Drafts can also be obtained by e-mail.
>
>Send a message to:
>         [email-masked].
>In the body type:
>         "FILE /internet-drafts/draft-ietf-avt-srtp-07.txt".
>
>NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>
>
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.
>Content-Type: text/plain
>Content-ID:     <[email-masked]>
>
>ENCODING mime
>FILE /internet-drafts/draft-ietf-avt-srtp-07.txt
>
><ftp://ftp.ietf.org/internet-drafts/draft-ietf-avt-srtp-07.txt>

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Colin Perkins <[email-masked]>
Date: Mon, 2 Jun 2003 17:38:53 -0400

Mark,

Apart from the filename, your -08 and the version of -07 posted appear to
be identical. Looks like the internet-drafts adminstrator may have posted
your update as -07?

Colin

--> Mark Baugher <[email-masked]> writes:
> http://www.rdrop.com/users/mbaugher/I-D/draft-ietf-avt-srtp-08.txt, which
> I just submitted to internet-drafts.  Please refer to revision 08.
> 
> http://www.rdrop.com/users/mbaugher/I-D/draft-ietf-avt-srtp-08.txt until
> 08 is properly posted
> 
> Mark
> >To: IETF-Announce: ;
> >Cc: [email-masked]
> >Internet-Drafts are also available by anonymous FTP. Login with the
> >username"anonymous" and a password of your e-mail address. After logging
> >in, type "cd internet-drafts" and then
> >         a MIME-compliant mail reader.  Different MIME-compliant mail
> >         readers exhibit different behavior, especially when dealing
> >         with"multipart" MIME messages (i.e. documents which have been
> >         split up into multiple messages), so check your local
> >         documentation on how to manipulate these messages.
> >
> >

-- 
Colin Perkins
[email-masked]

---

From: Mark Baugher <[email-masked]>
Date: Mon, 02 Jun 2003 15:11:32 -0700

Yes, you're right.  I don't know what I was looking at in 
internet-drafts.  Did I at least get the synopsis correct below?

thanks, Mark

---

From: Colin Perkins <[email-masked]>
Date: Mon, 2 Jun 2003 18:24:18 -0400

Yes, I think so.
Colin

--> Mark Baugher <[email-masked]> writes:
> >Apart from the filename, your -08 and the version of -07 posted appear
> >to be identical. Looks like the internet-drafts adminstrator may have
> >posted your update as -07?
> >
> >Colin
> >
> >
> > > http://www.rdrop.com/users/mbaugher/I-D/draft-ietf-avt-srtp-08.txt,
> > > which I just submitted to internet-drafts.  Please refer to revision
> > > 08.
> > >
> > > SRTP does not use RTP padding bytes and that any future block-mode
> > > cipher needs to freshly describe how it does padding in its RFC
> > >
> > > conditionally updated (in the two paragraphs that follow "i = 2^16 *
> > > v + SEQ") and we don't use the word "estimated" to describe
> > > packet-index determination
> > >
> > > http://www.rdrop.com/users/mbaugher/I-D/draft-ietf-avt-srtp-08.txt
> > > until 08 is properly posted
> > >
> > > Mark
> > > >To: IETF-Announce: ;
> > > >Cc: [email-masked]
> > > >This draft is a work item of the Audio/Video Transport Working Group
> > > >of the IETF.
> > > >
> > > >To remove yourself from the IETF Announcement list, send a message
> > > >to ietf-announce-request with the word unsubscribe in the body of
> > > >the message.
> > > >
> > > >username"anonymous" and a password of your e-mail address. After
> > > >logging in, type "cd internet-drafts" and then
> > > >         MIME-encoded form by using the "mpack" utility.  To use
> > > >         this feature, insert the command "ENCODING mime" before the
> > > >         "FILE" command.  To decode the response(s), you will need
> > > >         "munpack" or a MIME-compliant mail reader.  Different
> > > >         MIME-compliant mail readers exhibit different behavior,
> > > >         especially when dealing with"multipart" MIME messages (i.e.
> > > >         documents which have been split up into multiple messages),
> > > >         so check your local documentation on how to manipulate
> > > >         these messages.
> > > >
> > > >